org.icefaces.ace.component.fileentry

## Class FileEntryUpload

- java.lang.Object
- - org.icefaces.ace.component.fileentry.FileEntryUpload

- All Implemented Interfaces:
    java.io.Serializable, java.util.EventListener, javax.faces.event.PhaseListener

      public class FileEntryUpload
      extends java.lang.Object
      implements javax.faces.event.PhaseListener

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FileEntryUpload.CallbackException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileEntryUpload()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static java.lang.String` | `afterLast(java.lang.String str, java.lang.String seek)`
    `void` | `afterPhase(javax.faces.event.PhaseEvent event)`
    `void` | `beforePhase(javax.faces.event.PhaseEvent event)`
    `protected static java.lang.String` | `calculateFolder(javax.faces.context.FacesContext facesContext, FileEntry fileEntry)`
    `protected static FileEntryCallback` | `evaluateCallback(javax.faces.context.FacesContext facesContext, FileEntry fileEntry)`
    `javax.faces.event.PhaseId` | `getPhaseId()`
    `protected static void` | `handleCallbackException(javax.faces.context.FacesContext facesContext, java.lang.String clientId, java.lang.Throwable e)`
    `protected static java.io.File` | `makeFile(FileEntry fileEntry, java.lang.String folder, java.lang.String fileName)`
    `protected static java.lang.String` | `trimInternetExplorerPath(java.lang.String path)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileEntryUpload

          public FileEntryUpload()

  - ### Method Detail

    - #### beforePhase

          public void beforePhase(javax.faces.event.PhaseEvent event)

      Specified by:
        `beforePhase` in interface `javax.faces.event.PhaseListener`

    - #### getPhaseId

          public javax.faces.event.PhaseId getPhaseId()

      Specified by:
        `getPhaseId` in interface `javax.faces.event.PhaseListener`

    - #### afterPhase

          public void afterPhase(javax.faces.event.PhaseEvent event)

      Specified by:
        `afterPhase` in interface `javax.faces.event.PhaseListener`

    - #### evaluateCallback

          protected static FileEntryCallback evaluateCallback(javax.faces.context.FacesContext facesContext,
                                                              FileEntry fileEntry)

    - #### handleCallbackException

          protected static void handleCallbackException(javax.faces.context.FacesContext facesContext,
                                                        java.lang.String clientId,
                                                        java.lang.Throwable e)

    - #### calculateFolder

          protected static java.lang.String calculateFolder(javax.faces.context.FacesContext facesContext,
                                                            FileEntry fileEntry)

    - #### makeFile

          protected static java.io.File makeFile(FileEntry fileEntry,
                                                 java.lang.String folder,
                                                 java.lang.String fileName)
                                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### trimInternetExplorerPath

          protected static java.lang.String trimInternetExplorerPath(java.lang.String path)

    - #### afterLast

          protected static java.lang.String afterLast(java.lang.String str,
                                                      java.lang.String seek)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.